### Enumeration

# Xdp SpawnFlags

#### Declaration

    flags Xdp.SpawnFlags

#### Description [src]

Flags influencing the spawn operation and how the new sandbox is created.

#### Members

Name | Description
--- | ---
`XDP_SPAWN_FLAG_NONE` | No flags.
`XDP_SPAWN_FLAG_CLEARENV` | Clear the environment.
`XDP_SPAWN_FLAG_LATEST` | Spawn the latest version of the app.
`XDP_SPAWN_FLAG_SANDBOX` | Spawn in a sandbox (equivalent to the —sandbox option of flatpak run)
`XDP_SPAWN_FLAG_NO_NETWORK` | Spawn without network (equivalent to the —unshare=network option of flatpak run)
`XDP_SPAWN_FLAG_WATCH` | Kill the sandbox when the caller disappears from the session bus.